---
sidebar_label: HTTPRequest.response
---

# HTTPRequest.response() method

A matching `HTTPResponse` object, or null if the response has not been received yet.

#### Signature:

```typescript
class HTTPRequest {
  response(): HTTPResponse | null;
}
```

**Returns:**

[HTTPResponse](./puppeteer.httpresponse.md) \| null
